
locals {
  additional_unattend_contents = var.additional_unattend_contents
  admin_credential_key_vault_resource_id = var.admin_credential_key_vault_resource_id
  admin_generated_ssh_key_vault_secret_name = var.admin_generated_ssh_key_vault_secret_name
  admin_password = var.admin_password
  admin_password_key_vault_secret_name = var.admin_password_key_vault_secret_name
  admin_ssh_keys = var.admin_ssh_keys
  admin_username = var.admin_username
  allow_extension_operations = var.allow_extension_operations
  availability_set_resource_id = var.availability_set_resource_id
  azure_backup_configurations = var.azure_backup_configurations
  boot_diagnostics = var.boot_diagnostics
  boot_diagnostics_storage_account_uri = var.boot_diagnostics_storage_account_uri
  bypass_platform_safety_checks_on_user_schedule_enabled = var.bypass_platform_safety_checks_on_user_schedule_enabled
  capacity_reservation_group_resource_id = var.capacity_reservation_group_resource_id
  computer_name = var.computer_name
  custom_data = var.custom_data
  data_disk_managed_disks = var.data_disk_managed_disks
  dedicated_host_group_resource_id = var.dedicated_host_group_resource_id
  dedicated_host_resource_id = var.dedicated_host_resource_id
  diagnostic_settings = var.diagnostic_settings
  disable_password_authentication = var.disable_password_authentication
  disk_controller_type = var.disk_controller_type
  edge_zone = var.edge_zone
  enable_automatic_updates = var.enable_automatic_updates
  enable_telemetry = var.enable_telemetry
  encryption_at_host_enabled = var.encryption_at_host_enabled
  eviction_policy = var.eviction_policy
  extensions = var.extensions
  extensions_time_budget = var.extensions_time_budget
  gallery_applications = var.gallery_applications
  generate_admin_password_or_ssh_key = var.generate_admin_password_or_ssh_key
  generated_secrets_key_vault_secret_config = var.generated_secrets_key_vault_secret_config
  hotpatching_enabled = var.hotpatching_enabled
  license_type = var.license_type
  location = var.location
  lock = var.lock
  maintenance_configuration_resource_ids = var.maintenance_configuration_resource_ids
  managed_identities = var.managed_identities
  max_bid_price = var.max_bid_price
  name = var.name
  network_interfaces = var.network_interfaces
  os_disk = var.os_disk
  patch_assessment_mode = var.patch_assessment_mode
  patch_mode = var.patch_mode
  plan = var.plan
  platform_fault_domain = var.platform_fault_domain
  priority = var.priority
  provision_vm_agent = var.provision_vm_agent
  proximity_placement_group_resource_id = var.proximity_placement_group_resource_id
  public_ip_configuration_details = var.public_ip_configuration_details
  reboot_setting = var.reboot_setting
  resource_group_name = var.resource_group_name
  role_assignments = var.role_assignments
  role_assignments_system_managed_identity = var.role_assignments_system_managed_identity
  secrets = var.secrets
  secure_boot_enabled = var.secure_boot_enabled
  shutdown_schedules = var.shutdown_schedules
  source_image_reference = var.source_image_reference
  source_image_resource_id = var.source_image_resource_id
  tags = var.tags
  termination_notification = var.termination_notification
  timezone = var.timezone
  user_data = var.user_data
  virtual_machine_scale_set_resource_id = var.virtual_machine_scale_set_resource_id
  virtualmachine_os_type = var.virtualmachine_os_type
  virtualmachine_sku_size = var.virtualmachine_sku_size
  vm_additional_capabilities = var.vm_additional_capabilities
  vtpm_enabled = var.vtpm_enabled
  winrm_listeners = var.winrm_listeners
  zone = var.zone
}
